services:
    crdb:
        image: cockroachdb/cockroach:v24.1.2
        restart: always
        environment:
            - COCKROACH_USER=sa
            - COCKROACH_PASSWORD=password
            - COCKROACH_DATABASE=dataprovider
        ports:
            - "26257:26257"
            - "8083:8080"
        command: start-single-node --insecure
        volumes:
            - "${PWD}/cockroach-data/crdb:/cockroach/cockroach-data"

#    db:
#        image: postgres:latest
#        restart: always
#        environment:
#            - POSTGRES_USER=sa
#            - POSTGRES_PASSWORD=password
#            - POSTGRES_DB=dataprovider
#        ports:
#            - "5432:5432"
#    api:
#        build: .
#        restart: always
#        ports:
#            - "3000:3000"
#        command: json-server --watch api.json
#        volumes:
#            - "./api.json:/api.json"
